petsc-3.7.7 2017-09-25
Report Typos and Errors

# TSSetFunctionDomainError

Set the function testing if the current state vector is valid

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSSetFunctionDomainError(TS ts, PetscErrorCode (*func)(TS,PetscReal,Vec,PetscBool*))

### Input Parameters

ts - the TS context func - function called within TSFunctionDomainError

### Keywords

TS, state, domain

### See Also

TSAdaptCheckStage(), TSFunctionDomainError()

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex42.c.html